%% animation for computed hks, run yehan_OFF2HKS before running this script

% input
videoname = 'video.avi';

%% draw figure
figure
trimesh(Tris,Verts(:,1),Verts(:,3),Verts(:,2),hks(:,1),'FaceColor','interp','edgecolor','interp');
colormap jet
colorbar
axis equal
ax = gca;
ax.NextPlot = 'replaceChildren';

loops = size(hks,2)-1;
F(loops) = struct('cdata',[],'colormap',[]);

v = VideoWriter(videoname);
open(v);

for j = 1:loops
    trimesh(Tris,Verts(:,1),Verts(:,3),Verts(:,2),hks(:,j+1),'FaceColor','interp','edgecolor','interp');
    drawnow
    frame = getframe;
    F(j) = frame;
    writeVideo(v,frame);
end